Subject: [bug#52956] [PATCH] gnu: darktable: update to 3.8.0

From: John Kehayias <[email-masked]>
Date: Sat, 08 Jan 2022 22:54:09 +0000

Hello,

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Saturday, January 8th, 2022 at 4:59 PM, Ludovic Courtès <[email-masked]> wrote:

> Hi John and Alex,
>
> John Kehayias [email-masked] skribis:
>
> > Thanks for the update to darktable. However, I noticed in the release notes that darktable now requires Lua 5.4 (we only have 5.3.5). When I tried my own update locally I could see that Lua support, needed for plugins, was disabled at configure due to the missing Lua 5.4 version.
> >
> > Release notes: https://www.darktable.org/2021/12/darktable-3.8.0-released/
> >
> > I think it would be best to have the newer Lua version so we don't lose plugin support. Is there a patch for Lua 5.4 for Guix (my quick search didn't fine one)?
>
> Indeed. I don’t see Lua 5.4 in the patch queue at issues.guix.gnu.org.
> Does one of you want to give it a try?
>
I just tried a guix build lua --with-latest=lua and it built version 5.4.3 without any issue (even with the patches it has). I don't know anything to test with Lua, but in a guix shell it reported the correct version and the interpreter ran (I looked up a simple print statement which did work).

If there's nothing in particular I should look for, I can submit a quick patch for this. Should the package be lua-5.4 or maybe lua-next? And should the current lua now inherit from this latest version?

I'm assuming for the lua system to be updated would need a staging or core-updates cycle, with guix refresh lua -l reporting "408 packages would ensure 782 dependent packages are rebuilt". So we wouldn't want to replace "lua" with 5.4.3 yet.

John